For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTCreate a webhook
      • GETRetrieve a webhook
      • GETList all webhooks
      • PATCHUpdate a webhook
      • DELDelete a webhook
LogoLogo
Legacy DocsSign in
API ReferenceWebhooks

List all webhooks

GET
https://api.ntropy.com/v3/webhooks
GET
/v3/webhooks
$curl -X "GET" \
> "https://api.ntropy.com/v3/webhooks" \
> -H "Accept: application/json" \
> -H "X-API-KEY: cd1H...Wmhl"
1{
2 "next_cursor": "XjdHaksD",
3 "data": [
4 {
5 "url": "https://example.com:5689/",
6 "events": [
7 "batches.completed",
8 "batches.error"
9 ],
10 "id": "e94a150d-40af-4e96-8aa7-2948a6b4d8d3",
11 "created_at": "2024-10-03T02:53:30.167953",
12 "enabled": true,
13 "token": "hunter2"
14 }
15 ]
16}
List all webhooks
Was this page helpful?
Previous

Update a webhook

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Response

Successful Response
next_cursorstring or null
datalist of objects

Errors

422
Unprocessable Entity Error